Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:47 2009

## Asterisk developer's documentation

# parkeduser Struct Reference

Collaboration diagram for parkeduser:

[legend]

## Data Fields

struct ast_channel * | chan
char | context [AST_MAX_CONTEXT]
char | exten [AST_MAX_EXTENSION]
unsigned char | moh_trys
struct parkeduser * | next
int | notquiteyet
int | parkingnum
int | parkingtime
char | peername [1024]
int | priority
struct timeval | start

## Detailed Description

Definition at line 138 of file res_features.c.

## Field Documentation

struct ast_channel* chan`[read]`

Definition at line 139 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), handle_parkedcalls(), manager_parking_status(), and park_exec().

char context[AST_MAX_CONTEXT]

Definition at line 143 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), and handle_parkedcalls().

char exten[AST_MAX_EXTENSION]

Definition at line 144 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), and handle_parkedcalls().

unsigned char moh_trys

Definition at line 149 of file res_features.c.

Referenced by do_parking_thread().

struct parkeduser* next`[read]`

Definition at line 150 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), handle_parkedcalls(), manager_parking_status(), and park_exec().

int notquiteyet

Definition at line 147 of file res_features.c.

Referenced by ast_park_call(), and do_parking_thread().

int parkingnum

Definition at line 141 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), handle_parkedcalls(), manager_parking_status(), and park_exec().

int parkingtime

Definition at line 146 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), handle_parkedcalls(), and manager_parking_status().

char peername[1024]

Definition at line 148 of file res_features.c.

Referenced by ast_park_call(), and do_parking_thread().

int priority

Definition at line 145 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), and handle_parkedcalls().

struct timeval start`[read]`

Definition at line 140 of file res_features.c.

Referenced by ast_park_call(), do_parking_thread(), handle_parkedcalls(), and manager_parking_status().

The documentation for this struct was generated from the following file:

- res_features.c